### Method

# Pango Layout get_auto_dir

since: 1.4

#### Declaration [src]

    gboolean
    pango_layout_get_auto_dir (
      PangoLayout* layout
    )

#### Description [src]

Gets whether to calculate the base direction for the layout according to its contents.

See `pango_layout_set_auto_dir()`.

Available since: 1.4

#### Return value

Type: `gboolean`

`TRUE` if the bidirectional base direction is computed from the layout’s contents, `FALSE` otherwise.